<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetVocabulariesOutput StructType
 * @subpackage Structs
 */
class GetVocabulariesOutput extends AbstractStructBase
{
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * The Contents
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfVocabulary
     */
    public $Contents;
    /**
     * Constructor method for GetVocabulariesOutput
     * @uses GetVocabulariesOutput::setErrorMessage()
     * @uses GetVocabulariesOutput::setContents()
     * @param string $errorMessage
     * @param \CustomerManagement\ArrayType\ArrayOfVocabulary $contents
     */
    public function __construct($errorMessage = null, \CustomerManagement\ArrayType\ArrayOfVocabulary $contents = null)
    {
        $this
            ->setErrorMessage($errorMessage)
            ->setContents($contents);
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \CustomerManagement\StructType\GetVocabulariesOutput
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get Contents value
     * @return \CustomerManagement\ArrayType\ArrayOfVocabulary|null
     */
    public function getContents()
    {
        return $this->Contents;
    }
    /**
     * Set Contents value
     * @param \CustomerManagement\ArrayType\ArrayOfVocabulary $contents
     * @return \CustomerManagement\StructType\GetVocabulariesOutput
     */
    public function setContents(\CustomerManagement\ArrayType\ArrayOfVocabulary $contents = null)
    {
        $this->Contents = $contents;
        return $this;
    }
}
